#
# spec file for TXR
#

Name:           txr
Version:        145
Release:        1%{?dist}
Source:         http://kylheku.com/cgit/txr/snapshot/txr-%version.tar.bz2
# errors from el6's groff
Patch1:         txr-man.patch
URL:            http://www.nongnu.org/txr
Summary:        Text Extraction and Data Munging Language
# mpi library is PD according to its readme; Assume that overrides the
# headers' "All rights reserved".  See also METALICENSE
License:        BSD
Group:          Applications/Text
BuildRequires:  flex bison
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TXR is a pattern language for extracting and reporting text, with
a powerful Lisp dialect for advanced data munging.

%prep
%setup -q -n txr-%{version}
%if 0%{?el6}
%patch1 -p1 -b .man
%endif

%build
# c99 to avoid failure with // comment on f22
./configure --prefix=%_prefix --platform-cflags="%{optflags} -std=c99" \
            --platform-ldflags="%{?__global_ldflags}"
make VERBOSE=1 %{?_smp_mflags}


%check
make VERBOSE=1 tests


%install
make install DESTDIR=$RPM_BUILD_ROOT
install -m644 -D txr.vim $RPM_BUILD_ROOT%_datadir/vim/vimfiles/syntax/txr.vim
rm -f $RPM_BUILD_ROOT/%_datadir/txr/*LICENSE

%{!?_licensedir:%global license %%doc}
%files
%defattr(-,root,root)
%doc RELNOTES
%license LICENSE METALICENSE RELNOTES
%_bindir/txr
%_mandir/man1/txr*
%_datadir/txr
%dir %_datadir/vim
%_datadir/vim/vimfiles/syntax/txr.vim


%changelog
* Wed Jul 20 2016 Dave Love <loveshack@fedoraproject.org> - 145-1
- New version

* Mon May  9 2016 Dave Love <loveshack@fedoraproject.org> - 140-1
- New version
- Drop executable stack patch
- Modify man patch

* Thu May  5 2016 Dave Love <loveshack@fedoraproject.org> - 139-2
- Fix f22 build due to -ansi and // comment

* Sat Apr 30 2016 Dave Love <loveshack@fedoraproject.org> - 139-1
- New version
- Replace patch for man typos with one for executable stack

* Sun Apr 10 2016 Dave Love <loveshack@fedoraproject.org> - 137-1
- New version

* Wed Mar  9 2016 Dave Love <loveshack@fedoraproject.org> - 134-1
- New version

* Mon Aug 17 2015 Dave Love <loveshack@fedoraproject.org> - 112-1
- New version
- Add check section
- Add cflags, ldflags
- Patch for man errors
- Use %%license

* Fri Jan 17 2014 Dave Love <fx@gnu.org> - 75-1
- Update version
- Fix files section
- Other Fedora-style changes more-or-less to pass rpmlint
- Make tests
